# $Id: smeserver-diskusage.spec,v 1.17 2009/03/03 21:36:58 slords Exp $
# Authority: darrellmay
# Name: Darrell May

Summary: Disk usage panel for the SME Server
%define name smeserver-diskusage
Name: %{name}
%define version 0.0.1
%define release 13
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-diskusage-0.0.1-locale-2008-04-22.patch
Patch1: smeserver-diskusage-0.0.1-locale-2008-04-23.patch
Patch2: smeserver-diskusage-0.0.1-add2general.patch
Patch3: smeserver-diskusage-0.0.1-locale-2008-05-05.patch
Patch4: smeserver-diskusage-0.0.1-locale-2008-05-07.patch
Patch5: smeserver-diskusage-0.0.1-locale-2008-07-01.patch
Patch6: smeserver-diskusage-0.0.1-locale-2008-10-14.patch
Patch7: smeserver-diskusage-0.0.1-locale-2008-11-30.patch
Patch8: smeserver-diskusage-0.0.1-locale-2009-03-01.patch
Patch9: smeserver-diskusage-0.0.1-locale-2009-03-03.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base,  smeserver-release >= 7.0
Requires: e-smith-formmagick >= 1.4.0-12
BuildRequires: e-smith-devtools >= 1.13.1-03
Obsoletes: dmc-mitel-diskusage
AutoReqProv: no

%description
Disk usage panel showing filesystem, i-bay and user statistics.

%changelog
* Tue Mar 03 2009 SME Translation Server
- apply locale 2009-03-03 patch

* Sun Mar  1 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.1-12
- Apply  1 Mar 2009 locale patch [SME: 5018]

* Sun Nov 30 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.1-11
- Apply 30 Nov 2008 locale patch

* Tue Oct 14 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.1-10
- Apply 14 Oct 2008 locale patch

* Tue Jul 1 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.1-9
- Apply 1 July 2008 locale patch

* Wed May 7 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.1-8
- Apply 7 May 2008 locale patch

* Mon May 5 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.1-7
- Apply 5 May 2008 locale patch

* Sat Apr 26 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- Add common <base> tags to e-smith-formmagick's general

* Wed Apr 23 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- Added 23 April 2008 locale patch

* Tue Apr 22 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- Added 22 April 2008 locale patch

* Mon Apr 21 2008 Shad L. Lords <slords@mail.com>
- Prep for import into buildsys
- Clean up spec

* Mon Apr 16 2007 Darrell May <dmay@myezserver.com>
- added /opt to ibay table
- added date header
- [0.0.1-2]
* Wed Mar 21 2007 Darrell May <dmay@myezserver.com>
- split usage/path into two columns
- [0.0.1-1]
* Tue Mar 20 2007 Darrell May <dmay@myezserver.com>
- renamed and rebuilt for SME 7.x
- [0.0.1-0]
* Fri Aug 09 2002 Darrell May <dmay@netsourced.com>
- initial release
- [0.0.1-1]

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f e-smith-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

